Bug 1039711 - Huawei E1823 stopped working after upgrade on F20
Summary: Huawei E1823 stopped working after upgrade on F20
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: ModemManager
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1060493
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-09 20:45 UTC by cgrim
Modified: 2014-04-30 01:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-30 01:48:10 UTC
Type: Bug


Attachments (Terms of Use)

Description cgrim 2013-12-09 20:45:30 UTC
Description of problem:
In F19 there was no problem with Huawei E1823 modem. It worked well.
After upgrade on F20 Huawei E1823 modem does not work. NetworkManager does not show any possibility to connect and ModemManager logs messages about bad versions.


Version-Release number of selected component (if applicable):
1.1.0-2.git20130913.fc20


How reproducible:
Plug Huawei E1823 modem in.


Steps to Reproduce:
1. Plug Huawei E1823 modem in.


Actual results:
Unable to connect into mobile network.


Expected results:
Able to connect into mobile network.


Additional info:
lsusb shows:
Bus 001 Device 015: ID 12d1:14ac Huawei Technologies Co., Ltd. 


dmesg shows:
[ 9057.139807] usb 1-1.1: new high-speed USB device number 15 using ehci-pci
[ 9057.229237] usb 1-1.1: New USB device found, idVendor=12d1, idProduct=14ac
[ 9057.229244] usb 1-1.1: New USB device strings: Mfr=4, Product=3, SerialNumber=0
[ 9057.229248] usb 1-1.1: Product: HUAWEI Mobile
[ 9057.229251] usb 1-1.1: Manufacturer: Huawei Technologies
[ 9057.234300] option 1-1.1:1.0: GSM modem (1-port) converter detected
[ 9057.234781] usb 1-1.1: GSM modem (1-port) converter now attached to ttyUSB0
[ 9057.237057] qmi_wwan 1-1.1:1.1: cdc-wdm0: USB WDM device
[ 9057.237334] qmi_wwan 1-1.1:1.1 wwan0: register 'qmi_wwan' at usb-0000:00:1a.0-1.1, WWAN/QMI device, b2:6b:0b:c1:de:75
[ 9057.237473] option 1-1.1:1.3: GSM modem (1-port) converter detected
[ 9057.237615] usb 1-1.1: GSM modem (1-port) converter now attached to ttyUSB1
[ 9057.237685] option 1-1.1:1.4: GSM modem (1-port) converter detected
[ 9057.237820] usb 1-1.1: GSM modem (1-port) converter now attached to ttyUSB2
[ 9057.237926] usb-storage 1-1.1:1.5: USB Mass Storage device detected
[ 9057.238985] scsi24 : usb-storage 1-1.1:1.5
[ 9057.239201] usb-storage 1-1.1:1.6: USB Mass Storage device detected
[ 9057.239307] scsi25 : usb-storage 1-1.1:1.6
[ 9057.288647] systemd-udevd[16501]: renamed network interface wwan0 to wwp0s26u1u1i1
[ 9058.241595] scsi 24:0:0:0: CD-ROM            HUAWEI   Mass Storage     2.31 PQ: 0 ANSI: 2
[ 9058.241938] scsi 25:0:0:0: Direct-Access     HUAWEI   TF CARD Storage       PQ: 0 ANSI: 2
[ 9058.244307] sr1: scsi-1 drive
[ 9058.245378] sr 24:0:0:0: Attached scsi CD-ROM sr1
[ 9058.245550] sr 24:0:0:0: Attached scsi generic sg2 type 5
[ 9058.246577] sd 25:0:0:0: Attached scsi generic sg3 type 0
[ 9058.249392] sd 25:0:0:0: [sdb] Attached SCSI removable disk


ModemManager shows:
ModemManager[16569]: <info>  ModemManager (version 1.1.0-2.git20130913.fc20) starting...
ModemManager[16569]: <warn>  (ttyUSB0): port attributes not fully set
ModemManager[16569]: <warn>  (ttyUSB1): port attributes not fully set
ModemManager[16569]: <warn>  (ttyUSB2): port attributes not fully set
ModemManager[16569]: [/dev/cdc-wdm0] Checking version info (10 retries)...
ModemManager[16569]: [/dev/cdc-wdm0] QMI Device supports 5 services:
ModemManager[16569]: [/dev/cdc-wdm0]    ctl (1.3)
ModemManager[16569]: [/dev/cdc-wdm0]    wds (1.5)
ModemManager[16569]: [/dev/cdc-wdm0]    dms (1.2)
ModemManager[16569]: [/dev/cdc-wdm0]    nas (1.0)
ModemManager[16569]: [/dev/cdc-wdm0]    cat (0.0)
ModemManager[16569]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:19.0': not supported by any plugin
ModemManager[16569]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0': not supported by any plugin
ModemManager[16569]: <warn>  (ttyUSB1): port attributes not fully set
ModemManager[16569]: <warn>  (ttyUSB2): port attributes not fully set
ModemManager[16569]: <info>  Creating modem with plugin 'Huawei' and '5' ports
ModemManager[16569]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:1a.0/usb1/1-1/1-1.1' successfully created
ModemManager[16569]: [/dev/cdc-wdm0] Checking version info (10 retries)...
ModemManager[16569]: [/dev/cdc-wdm0] QMI Device supports 5 services:
ModemManager[16569]: [/dev/cdc-wdm0]    ctl (1.3)
ModemManager[16569]: [/dev/cdc-wdm0]    wds (1.5)
ModemManager[16569]: [/dev/cdc-wdm0]    dms (1.2)
ModemManager[16569]: [/dev/cdc-wdm0]    nas (1.0)
ModemManager[16569]: [/dev/cdc-wdm0]    cat (0.0)
ModemManager[16569]: [/dev/cdc-wdm0] Setting network port data format...
ModemManager[16569]: [/dev/cdc-wdm0] Network port data format operation finished
ModemManager[16569]: [/dev/cdc-wdm0] Allocating new client ID...
ModemManager[16569]: [/dev/cdc-wdm0] Registered 'dms' (version 1.2) client with ID '1'
ModemManager[16569]: [/dev/cdc-wdm0] Allocating new client ID...
ModemManager[16569]: [/dev/cdc-wdm0] Registered 'nas' (version 1.0) client with ID '1'
ModemManager[16569]: <warn>  (ttyUSB2): port attributes not fully set
ModemManager[16569]: <warn>  couldn't load Supported Bands: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
ModemManager[16569]: <warn>  couldn't load Power State: 'Unhandled power state: 'unknown' (255)'
ModemManager[16569]: <warn>  couldn't load SIM identifier: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
ModemManager[16569]: <warn>  couldn't load IMSI: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
ModemManager[16569]: <warn>  couldn't load list of Own Numbers: 'Couldn't get MSISDN: QMI protocol error (16): 'NotProvisioned''
ModemManager[16569]: <warn>  couldn't load current allowed/preferred modes: 'Loading current modes is not supported by this device'
ModemManager[16569]: <warn>  couldn't load current Bands: 'QMI operation failed: Cannot send message: QMI service 'nas' version '1.1' required, got version '1.0'' 
ModemManager[16569]: <info>  Modem: state changed (unknown -> disabled)


Please, can you help me to solve that problem?
Thank you,
Lukas

Comment 1 cgrim 2013-12-10 13:25:47 UTC
Hi,

Sorry for false alarm. I tried to reinstall ModemManager, restarted and reenabled service and than gave it more time and finally I have mobile connections accessible in NetworkManager applet.

Lukas

Comment 2 Sergio Basto 2014-01-06 15:38:30 UTC
hum I have a 12d1:140c Huawei Technologies Co., Ltd. E180v, 
After upgrade to Fedora 20 , I had to redo configuration , F19 conf doesn't work, but I have many strange warnings and new ? [1] , and signal strengh doesn't show up in nm-applet , show up is logs [2].
Although is working .

[1]
Jan  6 14:57:45 segulix systemd: Starting Modem Manager...
Jan  6 14:57:45 segulix ModemManager[21229]: <info>  ModemManager (version 1.1.0-2.git20130913.fc20) starting...
Jan  6 14:57:45 segulix systemd: Started Modem Manager.
Jan  6 14:57:45 segulix ModemManager[21229]: <warn>  (ttyUSB0): port attributes not fully set
Jan  6 14:57:45 segulix ModemManager[21229]: <warn>  (ttyUSB1): port attributes not fully set
Jan  6 14:57:45 segulix ModemManager[21229]: <warn>  (ttyUSB2): port attributes not fully set
Jan  6 14:57:47 segulix ModemManager[21229]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:19.0': not supported by any plugin
Jan  6 14:57:47 segulix ModemManager[21229]: <warn>  Couldn't find support for device at '/sys/devices/pci0000:00/0000:00:1c.1/0000:02:00.0': not supported by any plugin
Jan  6 14:57:48 segulix ModemManager[21229]: <warn>  (ttyUSB1): port attributes not fully set
Jan  6 14:57:48 segulix ModemManager[21229]: <warn>  (ttyUSB2): port attributes not fully set
Jan  6 14:57:58 segulix ModemManager[21229]: <info>  Creating modem with plugin 'Huawei' and '5' ports
Jan  6 14:57:58 segulix ModemManager[21229]: <info>  Modem for device at '/sys/devices/pci0000:00/0000:00:1d.0/usb2/2-1/2-1.3' successfully created
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  (ttyUSB2): port attributes not fully set
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load Supported Bands: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load SIM identifier: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load IMSI: 'QMI operation failed: Cannot send message: QMI service 'dms' version '1.3' required, got version '1.2''
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load list of Own Numbers: 'Couldn't get MSISDN: QMI protocol error (16): 'NotProvisioned''
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load current allowed/preferred modes: 'Loading current modes is not supported by this device'
Jan  6 14:57:58 segulix ModemManager[21229]: <warn>  couldn't load current Bands: 'QMI operation failed: Cannot send message: QMI service 'nas' version '1.1' required, got version '1.0''
Jan  6 14:57:58 segulix ModemManager[21229]: <info>  Modem: state changed (unknown -> disabled)


[2]
Jan  6 15:30:05 segulix ModemManager[21229]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (100)
Jan  6 15:30:35 segulix ModemManager[21229]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (97)
Jan  6 15:31:05 segulix ModemManager[21229]: <info>  Modem /org/freedesktop/ModemManager1/Modem/0: signal quality updated (100)

[3]
Jan  6 15:00:18 segulix NetworkManager[21263]: <warn> (cdc-wdm0): failed to look up interface index

Comment 3 Daniel Calle Rosa 2014-01-16 10:23:58 UTC
(In reply to cgrim from comment #1)
> Hi,
> 
> Sorry for false alarm. I tried to reinstall ModemManager, restarted and
> reenabled service and than gave it more time and finally I have mobile
> connections accessible in NetworkManager applet.
> 
> Lukas

Same problem after upgrade F19->F20. Same soluntion.

$sudo yum reinstall ModemManager

Comment 4 Sergio Basto 2014-04-30 01:48:10 UTC
signal strength  show up again , 100% fixed


Note You need to log in before you can comment on or make changes to this bug.